Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002253 [DCSS] FR: Gameplay Balancing minor have not tried 2010-08-10 23:15 2014-03-27 06:00
Reporter reid View Status public  
Assigned To MarvinPA
Priority normal Resolution done  
Status resolved   Product Branch 0.7 ancient branch
Summary 0002253: inconsistent interaction of antennae and invisible monsters
Description Invisible monsters are detected by antennae only when they're out of LOS. This seems like it cannot be intentional. I suggest that antennae should also detect invisible monsters within LOS (but only as {, and with the usual to-hit penalties for hitting invisible monsters, etc.)
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0007287)
rebthor (reporter)
2010-08-17 15:03

I was able to reproduce this bug as well and came to propose the same resolution until mutation level 3 when they should as as see invisible.
(0021260)
Cryptic (developer)
2013-03-05 03:52

I've researched this and traced it back to mutation.cc:2380 which calls env.map_knowledge(*ri).set_detected_monster(mons)

As far as I can tell, everything which aught to make the monster detected is occurring. I believe there is other code where the map is drawn (which checks the flags of each cell) is overriding the MAP_DETECTED_MONSTER flag that is actually set.
(0025727)
MarvinPA (developer)
2014-03-27 06:00

This was fixed.

- Issue History
Date Modified Username Field Change
2010-08-10 23:15 reid New Issue
2010-08-10 23:18 Cryptic Assigned To => Cryptic
2010-08-10 23:18 Cryptic Status new => acknowledged
2010-08-17 15:03 rebthor Note Added: 0007287
2013-03-05 03:52 Cryptic Note Added: 0021260
2013-03-05 04:03 Cryptic Assigned To Cryptic =>
2014-03-27 06:00 MarvinPA Note Added: 0025727
2014-03-27 06:00 MarvinPA Status acknowledged => resolved
2014-03-27 06:00 MarvinPA Fixed in Branch => 0.14 development branch
2014-03-27 06:00 MarvinPA Resolution open => done
2014-03-27 06:00 MarvinPA Assigned To => MarvinPA


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker